Skip to Content
Meters

Import Meters

Acceso

Miembro de la organización con este permiso:

  • meters:write

Una clave API con scopes también necesita el permiso entre sus scopes.

POST
/orgs/{organizationId}/meters/import

Imports meter data from an XLSX file and upserts changes. Creates new meters or updates existing ones based on ID (primary) or name+provider (fallback). Only requires name, type, and provider columns. Optional: serial, terrainName, meterCabinetName.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

  1. body
file*string|string|string

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//meters/import' \  -H 'Content-Type: application/json' \  -d '{  "file": "string"}'
Example Response
null